(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
        elementorFrontend.hooks.addAction('frontend/element_ready/anova_elementor_images_slide.default', function(){
	       
	        /* Add your code here */
			$(".image-slider .image-social-light-box").each(function(){
				
		        var owlsl 		= $(this) ;
		        var owlsl_ops 	= owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		              	items:1,
		              	nav:false,
		              	dots:owlsl_ops.dots,
		              	autoplayHoverPause:false
		            },
		            576:{
		              	items:1,
		              	autoplayHoverPause:false,
		              	dots:owlsl_ops.dots,
		            },
		            768:{
		              	items:2,
		              	dots:owlsl_ops.dots,
		            },
		            1025:{
		              	dots:false,
		              	items:3,
		            },
		            1170:{
		              	items:owlsl_ops.items,
		            }
		        };
		        
		    	owlsl.owlCarousel({
			        autoWidth: owlsl_ops.autoWidth,
			        margin: owlsl_ops.margin,
			        items: owlsl_ops.items,
			        loop: owlsl_ops.loop,
			        autoplay: owlsl_ops.autoplay,
			        autoplayTimeout: owlsl_ops.autoplayTimeout,
			        center: owlsl_ops.center,
					nav: owlsl_ops.nav,
					dots: false,
					thumbs: owlsl_ops.thumbs,
					autoplayHoverPause: owlsl_ops.autoplayHoverPause,
					slideBy: owlsl_ops.slideBy,
					smartSpeed: owlsl_ops.smartSpeed,
					navText:[
					'<i class="ovaicon ovaicon-back" ></i>',
					'<i class="ovaicon ovaicon-next" ></i>'
					],
					responsive: responsive_value,
	        	});

		    	$("[data-fancybox='gallery-image-slide']").fancybox({
					loop: true,
					keyboard: true,
					buttons: [
						"zoom",
						"share",
						"slideShow",
						"fullScreen",
						"thumbs",
						"close"
					],
					animationDuration: 366,
					animationEffect: "fade",
					transitionEffect: "fade",

	                    afterLoad : function(instance, current) {
                            var current_index = current.index;

                            $(".owl-item").removeClass('active');
                            $( ".owl-item:nth-child("+ current_index +")" ).addClass('active');

                        },

                        afterShow: function(instance, current) {
                           var current_index = current.index;
                           owlsl.trigger('to.owl.carousel', current.index);
                      	},

                      	beforeClose  : function(instance, current) {
                           owlsl.trigger('refresh.owl.carousel');
                      	},

                      	afterClose: function(instance, current) {
                           var current_index = current.index;
                           owlsl.trigger('to.owl.carousel', current.index);    
                      	},

				});

		    });

        });

   });

})(jQuery);
