<?php if ( !defined( 'ABSPATH' ) ) exit();

$data_options['items']              = apply_filters( 'ovaev_related_items', 3 );
$data_options['slideBy']            = apply_filters( 'ovaev_related_slideBy', 1 );
$data_options['margin']             = apply_filters( 'ovaev_related_margin', 30 );
$data_options['loop']               = apply_filters( 'ovaev_related_loop', false );
$data_options['autoplay']           = apply_filters( 'ovaev_related_autoPlay', true );
$data_options['dots']               = apply_filters( 'ovaev_related_dots', true );
$data_options['autoplayTimeout']    = apply_filters( 'ovaev_related_autoplay_speed', 3000 );
$data_options['smartSpeed']         = apply_filters( 'ovaev_related_smartSpeed', 500 );;


$post_ID 		= get_the_ID();
$event_related  = ovaev_get_event_related_by_id( $post_ID );

if( $event_related->have_posts() ){ ?>

    <div class="event-related">

        <h3 class="related-event">
        	<?php esc_html_e( 'Related Events', 'ovaev' ) ?>
        </h3>

		<div class="ovaev-slide owl-carousel" data-options="<?php echo esc_attr(json_encode($data_options)) ?>">

    		<?php if($event_related->have_posts() ) : while ( $event_related->have_posts() ) : $event_related->the_post();
	        
	        	ovaev_get_template( 'event-templates/event-type1.php' );

	        	endwhile; endif; wp_reset_postdata();
	        ?>
        </div>

    </div>

<?php }