(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
        elementorFrontend.hooks.addAction('frontend/element_ready/anova_elementor_blog_slide.default', function(){
	       
	      	       
	        $(".blog-slide-show").each(function(){

	        	//add arrow + prev to dots        	
		        var owlsl = $(this) ;
		        var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		                items:1,
		                nav:false,
		          		slideBy: 1,
		          		dots: owlsl_ops.dots,
		            },
		            479:{
		              	items:1,
 					  	slideBy: 1,
 					  	dots: owlsl_ops.dots,
		            },
		            768:{
		              	items:2,
		              	slideBy: 1,
		           
		            },
		            1024:{
		              	items:owlsl_ops.items,

		            }
		        };
		        
		        owlsl.owlCarousel({
		          autoWidth: owlsl_ops.autoWidth,
		          margin: owlsl_ops.margin,
		          items: owlsl_ops.items,
		          loop: owlsl_ops.loop,
		          autoplay: owlsl_ops.autoplay,
		          autoplayTimeout: owlsl_ops.autoplayTimeout,
		          center: owlsl_ops.center,
		          navContainer: ".blog_nav .custom-nav",
		          dots: false,
		          nav: owlsl_ops.nav,
		          thumbs: owlsl_ops.thumbs,
		          autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		          slideBy: owlsl_ops.slideBy,
		          smartSpeed: owlsl_ops.smartSpeed,
		          rtl: owlsl_ops.rtl,
		           navText:[
		          '<i class="ovaicon ovaicon-back" ></i>',
		          '<i class="ovaicon ovaicon-next" ></i>'
		          ],
		          responsive: responsive_value,
		        });

		      	/* Fixed WCAG */
				owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
				owlsl.find(".owl-dots button").attr("title", "Dots");

		    });
	    
        });
   });

})(jQuery);
