(function($){
	"use strict";
	
	$(window).on('elementor/frontend/init', function () {
		
        /* ova_give_slide */
		elementorFrontend.hooks.addAction('frontend/element_ready/anova_elementor_give_donations_slide.default', function(){

			$(".ova-give-donations-slide .give-slide").each(function(){

		        var owlsl 		= $(this) ;
		        var owlsl_ops 	= owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		              items:1,
		            },
		            576:{
		              items:1,
		            },
		            768:{
		              items:2,
		            },
		            1170:{
		              items:owlsl_ops.items
		            }
		        };

		        var data = {
		          	autoWidth: owlsl_ops.autoWidth,
		          	margin: owlsl_ops.margin,
		          	items: owlsl_ops.items,
		          	autoplay: owlsl_ops.autoplay,
		          	loop: owlsl_ops.loop,
		          	autoplayTimeout: owlsl_ops.autoplayTimeout,
		          	center: owlsl_ops.center,
		          	nav: false,
		          	dots: owlsl_ops.dots,
		          	thumbs: owlsl_ops.thumbs,
		          	autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		          	slideBy: owlsl_ops.slideBy,
		          	smartSpeed: owlsl_ops.smartSpeed,
		          	navText:[
		           		'<i class="icon-right-arrow" ></i>',
		          		'<i class="icon-right-arrow" ></i>',
		          	],
		          	responsive: responsive_value,
		        }
		        
		        owlsl.owlCarousel(data);

		        $(window).resize(function() {

		        	var items = $('.give-slide');
		        	
		        	items.trigger('destroy.owl.carousel');
		        	items.owlCarousel(data);

		        });

		        $('.give-slide').on('translate.owl.carousel', function(e){

		        	var $this 	= $(this);
		        	var percent = $this.data('percent');

		        	$this.css("width",percent+'%');

		        });

		        /* Progress */
	      		$('.project-percent').appear(function(){

					var $this 	= $(this);
					var percent = $this.data('percent');

					$this.css("width",percent+'%');

					$({animatedValue: 0}).animate({animatedValue: percent},{
						duration: 100,
						step: function(){
							$this.attr('percent', Math.floor(this.animatedValue) + '%');
						},
						complete: function(){
							$this.attr('percent', Math.floor(this.animatedValue) + '%');
						}
					});

				});

				/* Give Video */
				if( $(".ova-give-donations-slide .media .video").length > 0 ){
				 	$(".ova-give-donations-slide .media .video").fancybox({
				    	iframe : {
				       		css : {
				          		maxWidth : '95%',
				       		}
				   	 	}
				 	});
				}

		 
		    });

		});

   });

})(jQuery);